Subject: Cannot build libsrtp (which qemu depends on)

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 09 Feb 2017 10:49:52 -0800

Using an up-to-date guix (from git master), I cannot build the libsrtp
package (v1.5.4) which Qemu requires. The check phase fails:

cd test; /tmp/guix-build-libsrtp-1.5.4.drv-0/libsrtp-1.5.4/test/rtpw_test.sh >/dev/null
make: *** [Makefile:35: runtest] Error 255
phase `check' failed after 18.2 seconds

Reproducing the problem (supposing it's reproducible) should be as
simple as:

$> guix build libsrtp

When using an up-to-date guix.

Below is the complete build log.

The following derivation will be built:
   /gnu/store/2pxqb3dm41p5g73y0mh7jgsxa14qqjld-libsrtp-1.5.4.drv
@ build-started /gnu/store/2pxqb3dm41p5g73y0mh7jgsxa14qqjld-libsrtp-1.5.4.drv - x86_64-linux /var/log/guix/drvs/2p//xqb3dm41p5g73y0mh7jgsxa14qqjld-libsrtp-1.5.4.drv.bz2
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/9cw2mj574gh8kmhjnv5rzyjj3dqvgqv5-procps-3.3.12/bin:/gnu/store/9cw2mj574gh8kmhjnv5rzyjj3dqvgqv5-procps-3.3.12/sbin:/gnu/store/9l52vcmb1ambc3ypf7nxn38ac0976yyf-tar-1.29/bin:/gnu/store/ginbign0swn8h69k3z4fy18r8pwq3rqx-gzip-1.8/bin:/gnu/store/d5nscny560slzpljixqzim6b8ms7hhv2-bzip2-1.0.6/bin:/gnu/store/4yg6q1kp856m68arkpqc85hqgbffhpxf-xz-5.2.2/bin:/gnu/store/06icf5h4z83mw5g17a58fy26z14dsj9z-file-5.28/bin:/gnu/store/g0lyirlbqday5n2n0n6lh6nmdxi8a45z-diffutils-3.5/bin:/gnu/store/fs49m4pvdf2v7kixf9sls8nmhvh40ajl-patch-2.7.5/bin:/gnu/store/9761yfpvyr1fcpjhry8pgb3f0k6kj8n4-sed-4.2.2/bin:/gnu/store/cz7dl482c1j6j5s4vh1pll4lzdl5sl6b-findutils-4.6.0/bin:/gnu/store/k03y1lfaj1xw0d7j2lxdil8ii5c67fdy-gawk-4.1.4/bin:/gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin:/gnu/store/9xfn6q7cxqxaxsv6kgiic9iygl2iv2ci-coreutils-8.25/bin:/gnu/store/c5ihjcdxsm9086323bn2j67v7z34lc1a-make-4.2.1/bin:/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin:/gnu/store/c7lm5innppxm53bf5w7i99d59kjdyx27-ld-wrapper-0/bin:/gnu/store/4xxd00drj8gjcr84xdfna44qak2vhwmf-binutils-2.27/bin:/gnu/store/y1g6991kxvdk4vxhsq07r5saww30v8dq-gcc-4.9.4/bin:/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/bin:/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/sbin'
environment variable `BASH_LOADABLES_PATH' set to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/lib/bash'
environment variable `C_INCLUDE_PATH' set to `/gnu/store/9cw2mj574gh8kmhjnv5rzyjj3dqvgqv5-procps-3.3.12/include:/gnu/store/d5nscny560slzpljixqzim6b8ms7hhv2-bzip2-1.0.6/include:/gnu/store/4yg6q1kp856m68arkpqc85hqgbffhpxf-xz-5.2.2/include:/gnu/store/06icf5h4z83mw5g17a58fy26z14dsj9z-file-5.28/include:/gnu/store/k03y1lfaj1xw0d7j2lxdil8ii5c67fdy-gawk-4.1.4/include:/gnu/store/c5ihjcdxsm9086323bn2j67v7z34lc1a-make-4.2.1/include:/gnu/store/4xxd00drj8gjcr84xdfna44qak2vhwmf-binutils-2.27/include:/gnu/store/y1g6991kxvdk4vxhsq07r5saww30v8dq-gcc-4.9.4/include:/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/include:/gnu/store/jc898psn5yc9s328nn8fya3sc2daf037-linux-libre-headers-4.4.18/include'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/9cw2mj574gh8kmhjnv5rzyjj3dqvgqv5-procps-3.3.12/include:/gnu/store/d5nscny560slzpljixqzim6b8ms7hhv2-bzip2-1.0.6/include:/gnu/store/4yg6q1kp856m68arkpqc85hqgbffhpxf-xz-5.2.2/include:/gnu/store/06icf5h4z83mw5g17a58fy26z14dsj9z-file-5.28/include:/gnu/store/k03y1lfaj1xw0d7j2lxdil8ii5c67fdy-gawk-4.1.4/include:/gnu/store/c5ihjcdxsm9086323bn2j67v7z34lc1a-make-4.2.1/include:/gnu/store/4xxd00drj8gjcr84xdfna44qak2vhwmf-binutils-2.27/include:/gnu/store/y1g6991kxvdk4vxhsq07r5saww30v8dq-gcc-4.9.4/include:/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/include:/gnu/store/jc898psn5yc9s328nn8fya3sc2daf037-linux-libre-headers-4.4.18/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/9cw2mj574gh8kmhjnv5rzyjj3dqvgqv5-procps-3.3.12/lib:/gnu/store/d5nscny560slzpljixqzim6b8ms7hhv2-bzip2-1.0.6/lib:/gnu/store/4yg6q1kp856m68arkpqc85hqgbffhpxf-xz-5.2.2/lib:/gnu/store/06icf5h4z83mw5g17a58fy26z14dsj9z-file-5.28/lib:/gnu/store/k03y1lfaj1xw0d7j2lxdil8ii5c67fdy-gawk-4.1.4/lib:/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/lib:/gnu/store/4xxd00drj8gjcr84xdfna44qak2vhwmf-binutils-2.27/lib:/gnu/store/iwgi9001dmmihrjg4rqhd6pa6788prjw-glibc-2.24/lib:/gnu/store/py9ff8syssr3d8a5nlkdp8kdglj20p1n-glibc-utf8-locales-2.24/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/py9ff8syssr3d8a5nlkdp8kdglj20p1n-glibc-utf8-locales-2.24/lib/locale'
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
libsrtp-1.5.4/
libsrtp-1.5.4/.gitignore
libsrtp-1.5.4/CHANGES
libsrtp-1.5.4/LICENSE
libsrtp-1.5.4/Makefile.in
libsrtp-1.5.4/README
libsrtp-1.5.4/TODO
libsrtp-1.5.4/VERSION
libsrtp-1.5.4/config.guess
libsrtp-1.5.4/config.h_win32vc7
libsrtp-1.5.4/config.hw
libsrtp-1.5.4/config.sub
libsrtp-1.5.4/config_in.h
libsrtp-1.5.4/configure
libsrtp-1.5.4/configure.in
libsrtp-1.5.4/crypto/
libsrtp-1.5.4/crypto/.cvsignore
libsrtp-1.5.4/crypto/Makefile.in
libsrtp-1.5.4/crypto/VERSION
libsrtp-1.5.4/crypto/cipher/
libsrtp-1.5.4/crypto/cipher/aes.c
libsrtp-1.5.4/crypto/cipher/aes_cbc.c
libsrtp-1.5.4/crypto/cipher/aes_gcm_ossl.c
libsrtp-1.5.4/crypto/cipher/aes_icm.c
libsrtp-1.5.4/crypto/cipher/aes_icm_ossl.c
libsrtp-1.5.4/crypto/cipher/cipher.c
libsrtp-1.5.4/crypto/cipher/null_cipher.c
libsrtp-1.5.4/crypto/hash/
libsrtp-1.5.4/crypto/hash/auth.c
libsrtp-1.5.4/crypto/hash/hmac.c
libsrtp-1.5.4/crypto/hash/hmac_ossl.c
libsrtp-1.5.4/crypto/hash/null_auth.c
libsrtp-1.5.4/crypto/hash/sha1.c
libsrtp-1.5.4/crypto/include/
libsrtp-1.5.4/crypto/include/.cvsignore
libsrtp-1.5.4/crypto/include/aes.h
libsrtp-1.5.4/crypto/include/aes_cbc.h
libsrtp-1.5.4/crypto/include/aes_gcm_ossl.h
libsrtp-1.5.4/crypto/include/aes_icm.h
libsrtp-1.5.4/crypto/include/aes_icm_ossl.h
libsrtp-1.5.4/crypto/include/alloc.h
libsrtp-1.5.4/crypto/include/auth.h
libsrtp-1.5.4/crypto/include/cipher.h
libsrtp-1.5.4/crypto/include/crypto.h
libsrtp-1.5.4/crypto/include/crypto_kernel.h
libsrtp-1.5.4/crypto/include/crypto_math.h
libsrtp-1.5.4/crypto/include/crypto_types.h
libsrtp-1.5.4/crypto/include/cryptoalg.h
libsrtp-1.5.4/crypto/include/datatypes.h
libsrtp-1.5.4/crypto/include/err.h
libsrtp-1.5.4/crypto/include/gf2_8.h
libsrtp-1.5.4/crypto/include/hmac.h
libsrtp-1.5.4/crypto/include/integers.h
libsrtp-1.5.4/crypto/include/kernel_compat.h
libsrtp-1.5.4/crypto/include/key.h
libsrtp-1.5.4/crypto/include/null_auth.h
libsrtp-1.5.4/crypto/include/null_cipher.h
libsrtp-1.5.4/crypto/include/prng.h
libsrtp-1.5.4/crypto/include/rand_source.h
libsrtp-1.5.4/crypto/include/rdb.h
libsrtp-1.5.4/crypto/include/rdbx.h
libsrtp-1.5.4/crypto/include/sha1.h
libsrtp-1.5.4/crypto/include/stat.h
libsrtp-1.5.4/crypto/include/xfm.h
libsrtp-1.5.4/crypto/kernel/
libsrtp-1.5.4/crypto/kernel/alloc.c
libsrtp-1.5.4/crypto/kernel/crypto_kernel.c
libsrtp-1.5.4/crypto/kernel/err.c
libsrtp-1.5.4/crypto/kernel/key.c
libsrtp-1.5.4/crypto/math/
libsrtp-1.5.4/crypto/math/datatypes.c
libsrtp-1.5.4/crypto/math/gf2_8.c
libsrtp-1.5.4/crypto/math/math.c
libsrtp-1.5.4/crypto/math/stat.c
libsrtp-1.5.4/crypto/replay/
libsrtp-1.5.4/crypto/replay/rdb.c
libsrtp-1.5.4/crypto/replay/rdbx.c
libsrtp-1.5.4/crypto/replay/ut_sim.c
libsrtp-1.5.4/crypto/rng/
libsrtp-1.5.4/crypto/rng/ctr_prng.c
libsrtp-1.5.4/crypto/rng/prng.c
libsrtp-1.5.4/crypto/rng/rand_linux_kernel.c
libsrtp-1.5.4/crypto/rng/rand_source.c
libsrtp-1.5.4/crypto/rng/rand_source_ossl.c
libsrtp-1.5.4/crypto/test/
libsrtp-1.5.4/crypto/test/.cvsignore
libsrtp-1.5.4/crypto/test/aes_calc.c
libsrtp-1.5.4/crypto/test/auth_driver.c
libsrtp-1.5.4/crypto/test/cipher_driver.c
libsrtp-1.5.4/crypto/test/datatypes_driver.c
libsrtp-1.5.4/crypto/test/env.c
libsrtp-1.5.4/crypto/test/kernel_driver.c
libsrtp-1.5.4/crypto/test/rand_gen.c
libsrtp-1.5.4/crypto/test/rand_gen_soak.c
libsrtp-1.5.4/crypto/test/sha1_driver.c
libsrtp-1.5.4/crypto/test/stat_driver.c
libsrtp-1.5.4/doc/
libsrtp-1.5.4/doc/.cvsignore
libsrtp-1.5.4/doc/Doxyfile
libsrtp-1.5.4/doc/Makefile.in
libsrtp-1.5.4/doc/crypto_kernel.txt
libsrtp-1.5.4/doc/header.template
libsrtp-1.5.4/doc/intro.txt
libsrtp-1.5.4/doc/libsrtp.pdf
libsrtp-1.5.4/doc/references.txt
libsrtp-1.5.4/include/
libsrtp-1.5.4/include/ekt.h
libsrtp-1.5.4/include/getopt_s.h
libsrtp-1.5.4/include/rtp.h
libsrtp-1.5.4/include/rtp_priv.h
libsrtp-1.5.4/include/srtp.h
libsrtp-1.5.4/include/srtp_priv.h
libsrtp-1.5.4/include/ut_sim.h
libsrtp-1.5.4/install-sh
libsrtp-1.5.4/install-win.bat
libsrtp-1.5.4/libsrtp.pc.in
libsrtp-1.5.4/releases/
libsrtp-1.5.4/releases/libsrtp-1.4.4.pdf
libsrtp-1.5.4/releases/srtp-1.4.0.tgz
libsrtp-1.5.4/releases/srtp-1.4.4.tgz
libsrtp-1.5.4/srtp.def
libsrtp-1.5.4/srtp.sln
libsrtp-1.5.4/srtp.vcproj
libsrtp-1.5.4/srtp/
libsrtp-1.5.4/srtp/ekt.c
libsrtp-1.5.4/srtp/srtp.c
libsrtp-1.5.4/srtp7.sln
libsrtp-1.5.4/srtp7.vcproj
libsrtp-1.5.4/tables/
libsrtp-1.5.4/tables/.cvsignore
libsrtp-1.5.4/tables/aes_tables.c
libsrtp-1.5.4/test/
libsrtp-1.5.4/test/.cvsignore
libsrtp-1.5.4/test/dtls_srtp_driver.c
libsrtp-1.5.4/test/getopt_s.c
libsrtp-1.5.4/test/lfsr.c
libsrtp-1.5.4/test/rdbx_driver.c
libsrtp-1.5.4/test/replay_driver.c
libsrtp-1.5.4/test/roc_driver.c
libsrtp-1.5.4/test/rtp.c
libsrtp-1.5.4/test/rtp_decoder.c
libsrtp-1.5.4/test/rtp_decoder.h
libsrtp-1.5.4/test/rtpw.c
libsrtp-1.5.4/test/rtpw_test.sh
libsrtp-1.5.4/test/rtpw_test_gcm.sh
libsrtp-1.5.4/test/srtp_driver.c
libsrtp-1.5.4/timing
libsrtp-1.5.4/undos.sh
libsrtp-1.5.4/update.sh
phase `unpack' succeeded after 0.1 seconds
starting phase `patch-dictionary-location'
phase `patch-dictionary-location' succeeded after 0.0 seconds
starting phase `patch-mips-variable-in-testsuite'
phase `patch-mips-variable-in-testsuite' succeeded after 0.1 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.2 seconds
starting phase `patch-source-shebangs'
patch-shebang: ./config.guess: changing `/bin/sh' to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh'
patch-shebang: ./config.sub: changing `/bin/sh' to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh'
patch-shebang: ./configure: changing `/bin/sh' to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh'
patch-shebang: ./install-sh: changing `/bin/sh' to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh'
patch-shebang: ./test/rtpw_test.sh: changing `/bin/sh' to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh'
patch-shebang: ./test/rtpw_test_gcm.sh: changing `/bin/sh' to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh'
patch-shebang: ./undos.sh: changing `/bin/sh' to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh'
patch-shebang: ./update.sh: changing `/bin/sh' to `/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `configure'
source directory: "/tmp/guix-build-libsrtp-1.5.4.drv-0/libsrtp-1.5.4" (relative from build: ".")
build directory: "/tmp/guix-build-libsrtp-1.5.4.drv-0/libsrtp-1.5.4"
configure flags: ("CONFIG_SHELL=/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/bash" "SHELL=/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/bash" "--prefix=/gnu/store/nzp92q4skqnxqd028rynhrkhjd0mnmgc-libsrtp-1.5.4" "--enable-fast-install" "--build=x86_64-unknown-linux-gnu")
configure: WARNING: unrecognized options: --enable-fast-install
./configure: line 2377: cd: /homeless-shelter: No such file or directory
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for ar... ar
checking the archiver (ar) interface... ar
checking for ranlib... ranlib
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking for a BSD-compatible install... /gnu/store/9xfn6q7cxqxaxsv6kgiic9iygl2iv2ci-coreutils-8.25/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin/grep
checking for egrep... /gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking whether byte ordering is bigendian... no
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking whether to build for Linux kernel context... no
checking for /dev/urandom... yes
checking for ANSI C header files... (cached) yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking byteswap.h usability... yes
checking byteswap.h presence... yes
checking for byteswap.h... yes
checking for stdint.h... (cached) yes
checking sys/uio.h usability... yes
checking sys/uio.h presence... yes
checking for sys/uio.h... yes
checking for inttypes.h... (cached) yes
checking for sys/types.h... (cached) yes
checking machine/types.h usability... no
checking machine/types.h presence... no
checking for machine/types.h... no
checking sys/int_types.h usability... no
checking sys/int_types.h presence... no
checking for sys/int_types.h... no
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking windows.h usability... no
checking windows.h presence... no
checking for windows.h... no
checking syslog.h usability... yes
checking syslog.h presence... yes
checking for syslog.h... yes
checking for int8_t... yes
checking for uint8_t... yes
checking for int16_t... yes
checking for uint16_t... yes
checking for int32_t... yes
checking for uint32_t... yes
checking for uint64_t... yes
checking size of unsigned long... 8
checking size of unsigned long long... 8
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for size_t... yes
checking for socket... yes
checking for inet_aton... yes
checking for usleep... yes
checking for sigaction... yes
checking whether to compile in debugging... yes
checking whether to use ISMAcryp code... no
checking whether to leverage OpenSSL crypto... no
checking which random device to use... /dev/urandom
checking for pcap_create in -lpcap... no
checking whether to use syslog for error reporting... no
checking whether to use stdout for error reporting... yes
checking whether to use /dev/console for error reporting... no
checking whether to use GDOI key management... no
checking for pkg-config... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating crypto/Makefile
config.status: creating doc/Makefile
config.status: creating crypto/include/config.h
configure: WARNING: unrecognized options: --enable-fast-install
phase `configure' succeeded after 6.6 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `build'
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c srtp/srtp.c -o srtp/srtp.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c srtp/ekt.c -o srtp/ekt.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/cipher/cipher.c -o crypto/cipher/cipher.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/cipher/null_cipher.c -o crypto/cipher/null_cipher.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/cipher/aes_icm.c -o crypto/cipher/aes_icm.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/cipher/aes.c -o crypto/cipher/aes.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/cipher/aes_cbc.c -o crypto/cipher/aes_cbc.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/hash/null_auth.c -o crypto/hash/null_auth.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/hash/auth.c -o crypto/hash/auth.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/hash/hmac.c -o crypto/hash/hmac.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/hash/sha1.c -o crypto/hash/sha1.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/math/datatypes.c -o crypto/math/datatypes.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/math/stat.c -o crypto/math/stat.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/kernel/crypto_kernel.c -o crypto/kernel/crypto_kernel.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/kernel/alloc.c -o crypto/kernel/alloc.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/kernel/key.c -o crypto/kernel/key.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/rng/rand_source.c -o crypto/rng/rand_source.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/rng/prng.c -o crypto/rng/prng.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/rng/ctr_prng.c -o crypto/rng/ctr_prng.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/kernel/err.c -o crypto/kernel/err.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/replay/rdb.c -o crypto/replay/rdb.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/replay/rdbx.c -o crypto/replay/rdbx.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/replay/ut_sim.c -o crypto/replay/ut_sim.o
ar cr libsrtp.a srtp/srtp.o srtp/ekt.o crypto/cipher/cipher.o crypto/cipher/null_cipher.o crypto/cipher/aes_icm.o crypto/cipher/aes.o crypto/cipher/aes_cbc.o crypto/hash/null_auth.o crypto/hash/auth.o crypto/hash/hmac.o crypto/hash/sha1.o crypto/math/datatypes.o crypto/math/stat.o crypto/kernel/crypto_kernel.o crypto/kernel/alloc.o crypto/kernel/key.o crypto/rng/rand_source.o crypto/rng/prng.o crypto/rng/ctr_prng.o crypto/kernel/err.o crypto/replay/rdb.o crypto/replay/rdbx.o crypto/replay/ut_sim.o
ranlib libsrtp.a
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  crypto/test/aes_calc.c -o crypto/test/aes_calc -lsrtp 
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  -o crypto/test/cipher_driver crypto/test/cipher_driver.c test/getopt_s.c libsrtp.a  -lsrtp
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  crypto/test/datatypes_driver.c -o crypto/test/datatypes_driver -lsrtp 
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  -o crypto/test/kernel_driver crypto/test/kernel_driver.c test/getopt_s.c libsrtp.a  -lsrtp
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  -o crypto/test/rand_gen crypto/test/rand_gen.c test/getopt_s.c libsrtp.a  -lsrtp
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  crypto/test/sha1_driver.c -o crypto/test/sha1_driver -lsrtp 
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  crypto/test/stat_driver.c -o crypto/test/stat_driver -lsrtp 
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  -o crypto/test/rand_gen_soak crypto/test/rand_gen_soak.c test/getopt_s.c libsrtp.a  -lsrtp
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  -o test/srtp_driver test/srtp_driver.c test/getopt_s.c libsrtp.a  -lsrtp
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  test/replay_driver.c -o test/replay_driver -lsrtp 
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  test/roc_driver.c -o test/roc_driver -lsrtp 
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  -o test/rdbx_driver test/rdbx_driver.c test/getopt_s.c libsrtp.a  -lsrtp
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -DTESTAPP_SOURCE=1 -L.  -o test/rtpw test/rtpw.c test/rtp.c test/getopt_s.c crypto/math/datatypes.c libsrtp.a  -lsrtp
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  -o test/dtls_srtp_driver test/dtls_srtp_driver.c test/getopt_s.c libsrtp.a  -lsrtp
Build done. Please run 'make runtest' to run self tests.
phase `build' succeeded after 8.7 seconds
starting phase `check'
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/math/math.c -o crypto/math/math.o
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -c crypto/math/gf2_8.c -o crypto/math/gf2_8.o
Build done. Please run 'make runtest' to run self tests.
ar cr libcryptomath.a crypto/math/math.o crypto/math/gf2_8.o 
ranlib libcryptomath.a
gcc -DHAVE_CONFIG_H -Icrypto/include -I./include -I./crypto/include -fPIC  -fPIC -Wall -O4 -fexpensive-optimizations -funroll-loops -L.  tables/aes_tables.c -o tables/aes_tables  libcryptomath.a
running libsrtp test applications...
crypto/test/cipher_driver -v >/dev/null
crypto/test/kernel_driver -v >/dev/null
test/rdbx_driver -v >/dev/null
test/srtp_driver -v >/dev/null
test/roc_driver -v >/dev/null
test/replay_driver -v >/dev/null
test/dtls_srtp_driver >/dev/null
crypto/test/rand_gen_soak -v >/dev/null
cd test; /tmp/guix-build-libsrtp-1.5.4.drv-0/libsrtp-1.5.4/test/rtpw_test.sh >/dev/null
make: *** [Makefile:35: runtest] Error 255
phase `check' failed after 18.2 seconds
builder for `/gnu/store/2pxqb3dm41p5g73y0mh7jgsxa14qqjld-libsrtp-1.5.4.drv' failed with exit code 1
@ build-failed /gnu/store/2pxqb3dm41p5g73y0mh7jgsxa14qqjld-libsrtp-1.5.4.drv - 1 builder for `/gnu/store/2pxqb3dm41p5g73y0mh7jgsxa14qqjld-libsrtp-1.5.4.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/2pxqb3dm41p5g73y0mh7jgsxa14qqjld-libsrtp-1.5.4.drv' failed